## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterListener.hpp File Reference

Include dependency graph for FormatterListener.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

- #define FORMATTERLISTENER_HEADER_GUARD_1357924680

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  Locator LocatorType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  AttributeList AttributeListType

## Functions

- XALAN_USING_XERCES (Locator) XALAN_USING_XERCES(AttributeList) class XALAN_PLATFORMSUPPORT_EXPORT FormatterListener
    A SAX-based formatter interface for the XSL processor. More...

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class PrefixResolver
    Id:
      FormatterListener.hpp,v 1.10 2005/06/06 01:32:45 dmitryh Exp
    . More...

## Define Documentation

#define FORMATTERLISTENER_HEADER_GUARD_1357924680

Value:

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER AttributeList AttributeListType

typedef XERCES_CPP_NAMESPACE_QUALIFIER Locator LocatorType

## Function Documentation

XALAN_USING_XERCES ( | Locator )

| A SAX-based formatter interface for the XSL processor. This interface will be called as result tree elements are constructed.

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class PrefixResolver

Id:
  FormatterListener.hpp,v 1.10 2005/06/06 01:32:45 dmitryh Exp

.

State:
  Exp

Author:
  David N. Bertoni (david_n_bertoni@lotus.com)

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.